Package org.opensaml.xmlsec.signature

# Interface X509IssuerSerial

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `X509IssuerSerialImpl`

public interface X509IssuerSerial extends XMLObject
XMLObject representing XML Digital Signature, version 20020212, X509IssuerSerial element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`X509IssuerName`
`getX509IssuerName()`
Get the X509IssuerName child element.
`X509SerialNumber`
`getX509SerialNumber()`
Get the X509SerialNumber child element.
`void`
`setX509IssuerName(X509IssuerName newX509IssuerName)`
Set the X509IssuerName child element.
`void`
`setX509SerialNumber(X509SerialNumber newX509SerialNumber)`
Set the X509SerialNumber child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull @NotEmpty static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getX509IssuerName

@Nullable X509IssuerName getX509IssuerName()
Get the X509IssuerName child element.

Returns:
  the X509Issuername child element

### setX509IssuerName

void setX509IssuerName(@Nullable X509IssuerName newX509IssuerName)
Set the X509IssuerName child element.

Parameters:
  `newX509IssuerName` - the new X509IssuerName child element

### getX509SerialNumber

@Nullable X509SerialNumber getX509SerialNumber()
Get the X509SerialNumber child element.

Returns:
  the X509SerialNumber child element

### setX509SerialNumber

void setX509SerialNumber(@Nullable X509SerialNumber newX509SerialNumber)
Set the X509SerialNumber child element.

Parameters:
  `newX509SerialNumber` - the new X509SerialNumber child element